# frozen_string_literal: true

require 'development/toolbox'
require 'rake'

module Development
  # Development tasks
  module Tasks
    # @return [Pathname]
    def self.library
      @rake_library ||= Development::Toolbox.root.join('rakelib')
    end

    # @return [<String>]
    def self.rake_files
      @rake_files ||= Dir[library.join('**/*.rake')]
    end

    # Install development tasks
    def self.install
      Rake.add_rakelib(*library.to_s)
    end
  end
end
