# frozen_string_literal: true

require 'bundler/audit/cli'

namespace :audit do
  desc 'Updates the ruby-advisory-db'
  task :update do
    Bundler::Audit::CLI.start %w[update]
  end

  desc 'Show the version of ruby-advisory-db'
  task :version do
    Bundler::Audit::CLI.start %w[version]
  end

  desc 'Check bundle for vulnerable dependencies'
  task test: :update do
    Bundler::Audit::CLI.start %w[check]
  end
end

task audit: %i[audit:test]
